%{?nodejs_find_provides_and_requires}

%global packagename tap-mocha-reporter
%global enable_tests 0
# disabled to bootstrap npm(tap)

Name:		nodejs-tap-mocha-reporter
Version:	0.0.21
Release:	1%{?dist}
Summary:	Format a TAP stream using Mocha's set of reporters

License:	ISC
URL:		https://github.com/isaacs/tap-mocha-reporter.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(tap)
%endif

Requires:	nodejs

%description
Format a TAP stream using Mocha's set of reporters


%prep
%setup -q -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{_bindir}/tap tests/*.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Tue Oct 27 2015 Jared Smith <jsmith@fedoraproject.org> - 0.0.21-1
- Initial packaging
